Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.accesstracking2
Class BodyEventAdder

    java.lang.Object
      HttpEditor
          scone.proxy.HtmlTokenEditor
              scone.accesstracking2.BodyEventAdder

    public class BodyEventAdder

extends HtmlTokenEditor

Adds events to the BODY-Tag to track the actions of a user.

`onLoad` is called after the page was loaded
`onUnload` is called when a page is left

Author:
  Harald Weinreich, Volkert Buchmann

Field Summary
`static java.lang.String` | `COPYRIGHT`

Fields inherited from class scone.proxy.HtmlTokenEditor
`e`

Constructor Summary
`BodyEventAdder()`

Method Summary
`void` | `handleRequest(SconePipe pipe)` tries to add load and unload-events to the body-tag if no body tag can be found before first: heading table link (<A> or <AREA>-Tag image form preformatted text or before EOF a new body-tag is inserted.

Methods inherited from class scone.proxy.HtmlTokenEditor
`setResponseHeaderField`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COPYRIGHT

    public static final java.lang.String COPYRIGHT

See Also:
  Constant Field Values

Constructor Detail

### BodyEventAdder

    public BodyEventAdder()

Method Detail

### handleRequest

    public void handleRequest(SconePipe pipe)

  tries to add load and unload-events to the body-tag

  if no body tag can be found before first:

  1. heading
  2. table
  3. link (<A> or <AREA>-Tag
  4. image
  5. form
  6. preformatted text
  7. or before EOF
  a new body-tag is inserted.

  Overrides:
    `handleRequest` in class `HtmlTokenEditor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD